%define compat_ver 0.3.2

Summary: Library to access the contents of an iPod
Name: libgpod
Version: 0.4.2
Release: 0.1%{?dist}
License: LGPL
Group: System Environment/Libraries
URL: http://www.gtkpod.org/libgpod.html
Source0: http://prdownloads.sf.net/gtkpod/libgpod-%{version}.tar.gz
Source1: http://prdownloads.sf.net/gtkpod/libgpod-%{compat_ver}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: gettext
BuildRequires: perl(XML::Parser)

%description
Libgpod is a library to access the contents of an iPod. It supports playlists,
smart playlists, playcounts, ratings, podcasts, album artwork, photos, etc.


%package devel
Summary: Development files for the libgpod library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Libgpod is a library to access the contents of an iPod. It supports playlists,
smart playlists, playcounts, ratings, podcasts, album artwork, photos, etc.

This package contains the files required to develop programs that will use
libgpod.


%package -n compat-libgpod
Summary: Library to access the contents of an iPod
Group: System Environment/Libraries
Version: %{compat_ver}

%description -n compat-libgpod
Libgpod is a library to access the contents of an iPod. It supports playlists,
smart playlists, playcounts, ratings, podcasts, album artwork, photos, etc.

This is a compatibility package for applications that require an older libgpod.


%prep
%setup -q -a 1

pushd %{name}-%{compat_ver}
sed -e 's/PACKAGE=libgpod/PACKAGE=compat-%{name}/' \
    -e 's/GETTEXT_PACKAGE=libgpod/GETTEXT_PACKAGE=compat-%{name}/' \
    -i configure
popd

%build
pushd %{name}-%{compat_ver}
%configure
%{__make} %{?_smp_mflags}
popd

%configure --without-python
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
pushd %{name}-%{compat_ver}
%makeinstall
popd

%makeinstall

%find_lang %{name}
%find_lang compat-%{name}


%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n compat-libgpod -p /sbin/ldconfig
%postun -n compat-libgpod -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/*.so.1*

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/gpod-1.0/
%{_libdir}/pkgconfig/libgpod-1.0.pc
%{_datadir}/gtk-doc/html/libgpod
%exclude %{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so

%files -n compat-libgpod -f compat-libgpod.lang
%defattr(-, root, root, 0755)
%doc libgpod-%{compat_ver}/AUTHORS
%doc libgpod-%{compat_ver}/ChangeLog
%doc libgpod-%{compat_ver}/COPYING
%doc libgpod-%{compat_ver}/README
%doc libgpod-%{compat_ver}/TODO
%{_libdir}/*.so.0*


%changelog
* Sun Jan 14 2007 Todd Zullinger <tmz@pobox.com> - 0.4.2-0.1
- Update to 0.4.2
- Change %%description to reflect newer features
- Make %%setup quiet
- Remove TODO file from %%doc as it's not included anymore
- Explicitly disable the python bindings, they are in the python-gpod package in
  Extras until the Core/Extras merge
- Add compatibility package for libgpod-0.3.2

* Mon Nov 20 2006 Alexander Larsson <alexl@redhat.com> - 0.4.0-2
- Add ldconfig calls in post/postun

* Mon Nov 13 2006 Matthias Clasen <mclasen@redhat.com> - 0.4.0-1
- Update to 0.4.0
- Include docs in the -devel package
- Don't ship static libraries

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.3.0-3.1
- rebuild

* Tue Jun 06 2006 Jesse Keating <jkeating@redhat.com> - 0.3.0-3
- Add missing BR of perl-XML-Parser

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.3.0-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.3.0-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 04 2006 John (J5) Palmieri <johnp@redhat.com> 0.3.0-2
- Modified Matthias Saou's SPEC file found on freshrpms.net
- Added to Fedora Core

* Mon Dec 19 2005 Matthias Saou <http://freshrpms.net/> 0.3.0-1
- Initial RPM release.

